# $Revision: 1.12 $, $Date: 2011/04/06 08:33:34 $
Summary:	GTK+ version of GGZ client
Summary(pl.UTF-8):	Klient GGZ napisany z użyciem GTK+
Name:		ggz-gtk-client
Version:	0.0.14.1
Release:	5
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	87f67ff01f867bd04ba894a7c6a9f7fc
Source1:	%{name}.xpm
Patch0:		%{name}-desktop.patch
URL:		http://www.ggzgamingzone.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# gaim plugin?
#BuildRequires:	gaim-devel >= 1.5.0
BuildRequires:	gettext-devel
BuildRequires:	ggz-client-libs-devel >= 0.0.14
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libggz-devel >= 0.0.14
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GGZ core clients enable players to access the GGZ server to chat, meet
other people in the game lobbies, play with them, watch their scores,
and be spectator other people's games. This is GTK+ version of GGZ
client.

%description -l pl.UTF-8
Programy klienckie GGZ umożliwiają graczom dostęp do serwerów GGZ z
możliwością rozmowy, poznawania innych ludzi w grze, granie z nimi,
obserwowanie punktacji oraz obserwowanie rozgrywek innych ludzi. Ten
klient GGZ to wersja napisana z użyciem GTK+.

%package devel
Summary:	Header files for ggz-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ggz-gtk
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ggz-client-libs-devel >= 0.0.14
Requires:	gtk+2-devel >= 1:2.0.0
Requires:	libggz-devel >= 0.0.14

%description devel
Header files for ggz-gtk library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ggz-gtk.

%package static
Summary:	Static ggz-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka ggz-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ggz-gtk library.

%description static -l pl.UTF-8
Statyczna biblioteka ggz-gtk.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I m4/ggz
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS QuickStart.GGZ README* TODO
%attr(755,root,root) %{_bindir}/ggz-gtk
%attr(755,root,root) %{_libdir}/libggz-gtk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggz-gtk.so.1
%{_datadir}/ggz/*
%{_desktopdir}/ggz-gtk.desktop
%{_mandir}/man6/ggz-gtk.6*
%{_pixmapsdir}/%{name}.xpm

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libggz-gtk.so
%{_libdir}/libggz-gtk.la
%{_includedir}/ggz-embed.h
%{_includedir}/ggz-gtk.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libggz-gtk.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ggz-gtk-client.spec,v $
Revision 1.12  2011/04/06 08:33:34  wiget
- rel. 5

Revision 1.11  2010/05/12 13:29:40  baggins
- rel 4
- more desktop categories

Revision 1.10  2010/02/24 16:13:14  pawelz
- rel 3 (rebuild with libpng-1.4)

Revision 1.9  2010/02/24 16:08:06  pawelz
- BR: gettext-devel

Revision 1.8  2008/11/11 12:08:58  arekm
- release 2

Revision 1.7  2008/09/14 18:44:48  pawelz
- BR: libtool

Revision 1.6  2008/09/14 18:36:39  pawelz
- re-libtoolize sources before building

Revision 1.5  2008/08/16 15:30:50  adamg
- /usr/share/ggz belongs to libggz

Revision 1.4  2008-04-01 18:17:18  lisu
- up to 0.0.14.1

Revision 1.3  2008-02-09 16:10:27  qboosh
- pl fixes
- added X11 to Groups
- more verbose files
- devel deps, BR: pkgconfig

Revision 1.2  2008-01-27 12:12:31  lisu
- group changed to Applications/Games

Revision 1.1  2008-01-27 10:06:08  lisu
- init
